• Resolved rezocom

    (@rezocom)


    Hello,
    Since the 4.4.1 update, it is impossible to keep it because it breaks the site, producing a white screen, nothing responding, I am forced to switch back to 4.4.0…
    Version 4.4.2 has the same problem.
    I don’t know if it’s a problem that has already been reported to you?
    Thanks in advance

Viewing 15 replies - 1 through 15 (of 25 total)
  • Plugin Author nintechnet

    (@nintechnet)

    I’m not aware of any other similar issues so far. A blank page is likely a PHP fatal error. Can you check your PHP error log?

    If you don’t have any, you can enable debugging in WordPress:
    1. Edit your wp-config.php
    2. Search for:
    define('WP_DEBUG', false);
    3. Replace with:
    define('WP_DEBUG', true);
    4. Add this line below:
    define( 'WP_DEBUG_LOG', true );
    The log (if any) will be located in “/wp-content/debug.log”.

    Which PHP version are you running?
    Is NinjaFirewall running in “Full WAF” or “WP WAF” mode?

    Thread Starter rezocom

    (@rezocom)

    Thank you for your answer.
    I am in Full WAF mode under PHP 8.0
    I have activated the debug mode as indicated and I caused a new crash when I tried a new update, here below the report.
    I also tried to disable itheme security to do the update, to see if it changed anything, but no, it’s the same thing…

    [23-Sep-2021 18:22:02 UTC] PHP Warning:  Undefined array key "REQUEST_METHOD" in /home/xxxxxxxxxxx/xxxxxxxxxxx/wp-content/plugins/pretty-link/app/controllers/PrliAppController.php on line 33
    [23-Sep-2021 18:22:02 UTC] PHP Deprecated:  Required parameter $block_editor_context follows optional parameter $block_categories in /home/xxxxxxxxxxx/xxxxxxxxxxx/wp-content/plugins/sfwd-lms/includes/gutenberg/lib/enqueue-scripts.php on line 231
    [23-Sep-2021 18:22:03 UTC] PHP Deprecated:  Required parameter $block_editor_context follows optional parameter $block_categories in /home/xxxxxxxxxxx/xxxxxxxxxxx/wp-content/plugins/sfwd-lms/includes/gutenberg/lib/enqueue-scripts.php on line 231
    [23-Sep-2021 18:22:03 UTC] PHP Deprecated:  Required parameter $block_editor_context follows optional parameter $block_categories in /home/xxxxxxxxxxx/xxxxxxxxxxx/wp-content/plugins/sfwd-lms/includes/gutenberg/lib/enqueue-scripts.php on line 231
    [23-Sep-2021 18:22:07 UTC] PHP Deprecated:  Required parameter $block_editor_context follows optional parameter $block_categories in /home/xxxxxxxxxxx/xxxxxxxxxxx/wp-content/plugins/sfwd-lms/includes/gutenberg/lib/enqueue-scripts.php on line 231
    [23-Sep-2021 18:22:07 UTC] PHP Deprecated:  Required parameter $block_editor_context follows optional parameter $block_categories in /home/xxxxxxxxxxx/xxxxxxxxxxx/wp-content/plugins/sfwd-lms/includes/gutenberg/lib/enqueue-scripts.php on line 231
    [23-Sep-2021 18:22:10 UTC] PHP Deprecated:  Required parameter $block_editor_context follows optional parameter $block_categories in /home/xxxxxxxxxxx/xxxxxxxxxxx/wp-content/plugins/sfwd-lms/includes/gutenberg/lib/enqueue-scripts.php on line 231
    [23-Sep-2021 18:22:12 UTC] PHP Deprecated:  Required parameter $block_editor_context follows optional parameter $block_categories in /home/xxxxxxxxxxx/xxxxxxxxxxx/wp-content/plugins/sfwd-lms/includes/gutenberg/lib/enqueue-scripts.php on line 231
    [23-Sep-2021 18:22:13 UTC] PHP Deprecated:  Required parameter $block_editor_context follows optional parameter $block_categories in /home/xxxxxxxxxxx/xxxxxxxxxxx/wp-content/plugins/sfwd-lms/includes/gutenberg/lib/enqueue-scripts.php on line 231
    [23-Sep-2021 18:22:24 UTC] PHP Deprecated:  Required parameter $block_editor_context follows optional parameter $block_categories in /home/xxxxxxxxxxx/xxxxxxxxxxx/wp-content/plugins/sfwd-lms/includes/gutenberg/lib/enqueue-scripts.php on line 231
    [23-Sep-2021 18:22:26 UTC] PHP Deprecated:  Required parameter $block_editor_context follows optional parameter $block_categories in /home/xxxxxxxxxxx/xxxxxxxxxxx/wp-content/plugins/sfwd-lms/includes/gutenberg/lib/enqueue-scripts.php on line 231
    [23-Sep-2021 18:22:27 UTC] PHP Deprecated:  Required parameter $block_editor_context follows optional parameter $block_categories in /home/xxxxxxxxxxx/xxxxxxxxxxx/wp-content/plugins/sfwd-lms/includes/gutenberg/lib/enqueue-scripts.php on line 231
    [23-Sep-2021 18:22:34 UTC] PHP Deprecated:  Required parameter $block_editor_context follows optional parameter $block_categories in /home/xxxxxxxxxxx/xxxxxxxxxxx/wp-content/plugins/sfwd-lms/includes/gutenberg/lib/enqueue-scripts.php on line 231
    [23-Sep-2021 18:22:39 UTC] PHP Deprecated:  Required parameter $block_editor_context follows optional parameter $block_categories in /home/xxxxxxxxxxx/xxxxxxxxxxx/wp-content/plugins/sfwd-lms/includes/gutenberg/lib/enqueue-scripts.php on line 231
    [23-Sep-2021 18:22:45 UTC] PHP Deprecated:  Required parameter $block_editor_context follows optional parameter $block_categories in /home/xxxxxxxxxxx/xxxxxxxxxxx/wp-content/plugins/sfwd-lms/includes/gutenberg/lib/enqueue-scripts.php on line 231
    [23-Sep-2021 18:22:53 UTC] PHP Deprecated:  Required parameter $block_editor_context follows optional parameter $block_categories in /home/xxxxxxxxxxx/xxxxxxxxxxx/wp-content/plugins/sfwd-lms/includes/gutenberg/lib/enqueue-scripts.php on line 231
    [23-Sep-2021 18:22:54 UTC] PHP Deprecated:  Required parameter $block_editor_context follows optional parameter $block_categories in /home/xxxxxxxxxxx/xxxxxxxxxxx/wp-content/plugins/sfwd-lms/includes/gutenberg/lib/enqueue-scripts.php on line 231
    [23-Sep-2021 18:22:56 UTC] PHP Deprecated:  Required parameter $block_editor_context follows optional parameter $block_categories in /home/xxxxxxxxxxx/xxxxxxxxxxx/wp-content/plugins/sfwd-lms/includes/gutenberg/lib/enqueue-scripts.php on line 231
    [23-Sep-2021 18:22:57 UTC] PHP Deprecated:  Required parameter $block_editor_context follows optional parameter $block_categories in /home/xxxxxxxxxxx/xxxxxxxxxxx/wp-content/plugins/sfwd-lms/includes/gutenberg/lib/enqueue-scripts.php on line 231
    [23-Sep-2021 18:22:59 UTC] PHP Deprecated:  Required parameter $block_editor_context follows optional parameter $block_categories in /home/xxxxxxxxxxx/xxxxxxxxxxx/wp-content/plugins/sfwd-lms/includes/gutenberg/lib/enqueue-scripts.php on line 231
    [23-Sep-2021 18:22:59 UTC] PHP Deprecated:  Required parameter $block_editor_context follows optional parameter $block_categories in /home/xxxxxxxxxxx/xxxxxxxxxxx/wp-content/plugins/sfwd-lms/includes/gutenberg/lib/enqueue-scripts.php on line 231
    [23-Sep-2021 18:23:03 UTC] PHP Deprecated:  Required parameter $block_editor_context follows optional parameter $block_categories in /home/xxxxxxxxxxx/xxxxxxxxxxx/wp-content/plugins/sfwd-lms/includes/gutenberg/lib/enqueue-scripts.php on line 231
    [23-Sep-2021 18:23:03 UTC] PHP Warning:  Undefined array key "REQUEST_METHOD" in /home/xxxxxxxxxxx/xxxxxxxxxxx/wp-content/plugins/pretty-link/app/controllers/PrliAppController.php on line 33
    [23-Sep-2021 18:23:04 UTC] PHP Deprecated:  Required parameter $block_editor_context follows optional parameter $block_categories in /home/xxxxxxxxxxx/xxxxxxxxxxx/wp-content/plugins/sfwd-lms/includes/gutenberg/lib/enqueue-scripts.php on line 231
    [23-Sep-2021 18:23:07 UTC] PHP Deprecated:  Required parameter $block_editor_context follows optional parameter $block_categories in /home/xxxxxxxxxxx/xxxxxxxxxxx/wp-content/plugins/sfwd-lms/includes/gutenberg/lib/enqueue-scripts.php on line 231
    [23-Sep-2021 18:23:08 UTC] PHP Deprecated:  Required parameter $block_editor_context follows optional parameter $block_categories in /home/xxxxxxxxxxx/xxxxxxxxxxx/wp-content/plugins/sfwd-lms/includes/gutenberg/lib/enqueue-scripts.php on line 231
    [23-Sep-2021 18:23:09 UTC] PHP Deprecated:  Required parameter $block_editor_context follows optional parameter $block_categories in /home/xxxxxxxxxxx/xxxxxxxxxxx/wp-content/plugins/sfwd-lms/includes/gutenberg/lib/enqueue-scripts.php on line 231
    [23-Sep-2021 18:23:09 UTC] PHP Deprecated:  Required parameter $block_editor_context follows optional parameter $block_categories in /home/xxxxxxxxxxx/xxxxxxxxxxx/wp-content/plugins/sfwd-lms/includes/gutenberg/lib/enqueue-scripts.php on line 231
    [23-Sep-2021 18:23:10 UTC] PHP Deprecated:  Required parameter $block_editor_context follows optional parameter $block_categories in /home/xxxxxxxxxxx/xxxxxxxxxxx/wp-content/plugins/sfwd-lms/includes/gutenberg/lib/enqueue-scripts.php on line 231
    [23-Sep-2021 18:23:11 UTC] PHP Fatal error:  Uncaught TypeError: array_merge(): Argument #1 must be of type array, null given in /home/xxxxxxxxxxx/xxxxxxxxxxx/wp-content/plugins/better-wp-security/core/modules/global/active.php:171
    Stack trace:
    #0 /home/xxxxxxxxxxx/xxxxxxxxxxx/wp-content/plugins/better-wp-security/core/modules/global/active.php(171): array_merge()
    #1 /home/xxxxxxxxxxx/xxxxxxxxxxx/wp-content/plugins/better-wp-security/core/lib/tools/Tools_Runner.php(80): iThemesSecurity\Lib\Tools\Config_Tool@anonymous->run()
    #2 /home/xxxxxxxxxxx/xxxxxxxxxxx/wp-content/plugins/better-wp-security/core/lib/tools/Tools_Runner.php(31): iThemesSecurity\Lib\Tools\Tools_Runner->run_tool()
    #3 /home/xxxxxxxxxxx/xxxxxxxxxxx/wp-includes/class-wp-hook.php(303): iThemesSecurity\Lib\Tools\Tools_Runner->iThemesSecurity\Lib\Tools\{closure}()
    #4 /home/xxxxxxxxxxx/xxxxxxxxxxx/wp-includes/class-wp-hook.php(327): WP_Hook->apply_filters()
    #5 /home/xxxxxxxxxxx/xxxxxxxxxxx/wp-includes/plugin.php(470): WP_Hook->do_action()
    #6 /home/xxxxxxxxxxx/xxxxxxxxxxx/wp-content/plugins/better-wp-security/core/lib/class-itsec-scheduler.php(383): do_action()
    #7 /home/xxxxxxxxxxx/xxxxxxxxxxx/wp-content/plugins/better-wp-security/core/lib/class-itsec-scheduler-cron.php(62): ITSEC_Scheduler->call_action()
    #8 /home/xxxxxxxxxxx/xxxxxxxxxxx/wp-content/plugins/better-wp-security/core/lib/class-itsec-scheduler-cron.php(47): ITSEC_Scheduler_Cron->run_recurring_event()
    #9 /home/xxxxxxxxxxx/xxxxxxxxxxx/wp-includes/class-wp-hook.php(303): ITSEC_Scheduler_Cron->process()
    #10 /home/xxxxxxxxxxx/xxxxxxxxxxx/wp-includes/class-wp-hook.php(327): WP_Hook->apply_filters()
    #11 /home/xxxxxxxxxxx/xxxxxxxxxxx/wp-includes/plugin.php(518): WP_Hook->do_action()
    #12 /home/xxxxxxxxxxx/xxxxxxxxxxx/wp-cron.php(138): do_action_ref_array()
    #13 {main}
      thrown in /home/xxxxxxxxxxx/xxxxxxxxxxx/wp-content/plugins/better-wp-security/core/modules/global/active.php on line 171
    [23-Sep-2021 18:23:16 UTC] PHP Deprecated:  Required parameter $block_editor_context follows optional parameter $block_categories in /home/xxxxxxxxxxx/xxxxxxxxxxx/wp-content/plugins/sfwd-lms/includes/gutenberg/lib/enqueue-scripts.php on line 231
    [23-Sep-2021 18:23:16 UTC] PHP Deprecated:  Required parameter $block_editor_context follows optional parameter $block_categories in /home/xxxxxxxxxxx/xxxxxxxxxxx/wp-content/plugins/sfwd-lms/includes/gutenberg/lib/enqueue-scripts.php on line 231
    Plugin Author nintechnet

    (@nintechnet)

    I cannot see any error related to NinjaFirewall. The only fatal error comes from iThemes:

    [23-Sep-2021 18:23:11 UTC] PHP Fatal error:  Uncaught TypeError: array_merge(): Argument #1 must be of type array, null given in /home/xxxxxxxxxxx/xxxxxxxxxxx/wp-content/plugins/better-wp-security/core/modules/global/active.php:171
    

    You may want to contact the developers and show them the error.

    I also tried to disable itheme security to do the update, to see if it changed anything, but no, it’s the same thing

    Do you mean that when you disable iThemes, it still throw that same fatal error as above?

    I installed iThemes along NinjaFirewall 4.4.2 but didn’t get any error.
    Can you try to downgrade from “Full WAF” mode to “WordPress WAF” mode: “NinjaFirewall > Dashboard”, click the “Configure” button. You may need to wait 5mn until PHP reloads its cache. Then, try to update. That will tell us whether the error is related to the mode. Don’t forget to enable debugging in the WordPress wp-config.php so that if there was an error it would be written to the log.

    Thread Starter rezocom

    (@rezocom)

    “Do you mean that when you disable iThemes, it still throw that same fatal error as above?”

    `Yes, when I saw the debug log and the fatal error with better-wp-security, I thought that there might be a conflict between this update and this plugin, so I tried to deactivate this plugin, then to run the update again, and it broke the site the same way…

    What surprises me is that it only does it on one site, actually I have other sites where these 2 plugins are working well together with the recent update…

    I’ll do better tests this weekend, I’ll come back to post the results here.
    Thanks

    • This reply was modified 9 months, 1 week ago by rezocom.
    Thread Starter rezocom

    (@rezocom)

    Hello,
    I made several tests, by deactivating plugins, and also with a “blank” htaccess file to see if some access rules were not blocking, without success, the site still crashes, and there is no particular PHP error reported more than in the previous report.

    “Can you try to downgrade from “Full WAF” mode to “WordPress WAF” mode”

    It’s impossible, I tried to click, wait 5 minutes, the plugin does not want to switch back to “WordPress Waf” classical mode…

    For your information, here is what the NinjaFirewall Error Log says :

    [03/May/21:22:59:13 +0000] nfw_fetch_security_updates: connection error
    [23/Sep/21:18:19:27 +0000] nfw_is_inireadable: connection error
    [23/Sep/21:18:19:27 +0000] nfw_is_inireadable: connection error
    [26/Sep/21:16:06:39 +0000] nfw_is_inireadable: connection error
    [26/Sep/21:16:06:39 +0000] nfw_is_inireadable: connection error
    [26/Sep/21:16:06:55 +0000] nfw_is_inireadable: connection error
    [26/Sep/21:16:06:55 +0000] nfw_is_inireadable: connection error

    Thanks.

    Plugin Author nintechnet

    (@nintechnet)

    If there’s nothing in the PHP log, it means it’s not a PHP error.
    Can you check your HTTP server log and paste the line here, it will show what HTTP code is returned (400, 403, 500, 503 etc).

    Thread Starter rezocom

    (@rezocom)

    I don’t have this kind of log, my Web hosting company sends me back to the procedure we did before (wpconfig / debug log), or to Apache or Frontal web logs, and those don’t give error codes (types 400, 403, 500, 503).

    Hi!
    First of all, thanks for the plugin!

    I am experiencing similar issues with a client’s website.
    After the recent Ninja Firewall updates it shows the error message:
    > NinjaFirewall fatal error: Cannot connect to WordPress database. Review your installation, your site is not protected.

    I have activated debug logs as well but apart from the unrelated warning or notice I don’t see any messages there. The website itself has no issues.
    PHP version is 7.2.34.

    Output of your debug script seems to be able to connect:

    Version: 2.01
    Found ... wp-config.php.
    Opening it for reading.
    Looking for DB_NAME, DB_USER, DB_PASSWORD, DB_HOST and $table_prefix:
    DB_NAME: found '...'
    DB_USER: found '...'
    DB_PASSWORD: found ...
    DB_HOST: found '...'
    table_prefix: found '...'
    Attempting to connect to the DB: OK
    
    Attempting to read NinjaFirewall's options (nfw_options) from the DB: OK
    Calling fetch_object: OK
    Checking options integrity: OK
    
    Attempting to read NinjaFirewall's rules (nfw_rules) from the DB: OK
    Calling fetch_object: OK
    Checking rules integrity: OK
    Exiting.

    The NinjaFirewall changelog shows that code regarding database connections was changed. Have not looked into the sources yet, but could it be you now assume MySQL over SSL socket by default and one has to configure the defaults differently now?
    Understandable if the versions are tested by itself, not upgrading from a lower version.

    It seems the debugging script is connecting to the database differently in either case.
    Can I provide anything else to help find the issue?

    Thanks in advance.

    Thread Starter rezocom

    (@rezocom)

    There is a strange element too that I forgot to mention:
    When the update finishes, on a normal installation it returns this type of page:
    https://ibb.co/ZY4yx0W

    But on this update crashing the site, the text is not at all written the same way:
    https://ibb.co/pKTzRyc

    I don’t know if this will be useful for you as information……

    Plugin Author nintechnet

    (@nintechnet)

    @rezocom : Can you run those two scripts:
    -Troubleshooter : https://nintechnet.com/share/wp-check.txt
    -DB connection test: https://nintechnet.com/share/wp-db.txt
    When the site crashes, open your browser’s console (CTRL + Shift + j), click the “Network” tab and reload the blank age. Then check the HTTP code (status code) in the “Network” list.

    @peterkrebs : Can you run again the DB connection test script? I updated it’s code and it is the same as the firewall:
    https://nintechnet.com/share/wp-db.txt
    The code is also the same as WordPress. It will connect over SSL only if it detects that you set it up in your wp-config.php.

    Thanks for the quick reply!

    The new script outputs the same as the old script.
    Could the error message be incorrect then?

    Version: 2.01
    Found .../wp-config.php.
    Opening it for reading.
    Looking for DB_NAME, DB_USER, DB_PASSWORD, DB_HOST and $table_prefix:
    DB_NAME: found '...'
    DB_USER: found '...'
    DB_PASSWORD: found ...
    DB_HOST: found '...'
    table_prefix: found '...'
    Attempting to connect to the DB: OK
    
    Attempting to read NinjaFirewall's options (nfw_options) from the DB: OK
    Calling fetch_object: OK
    Checking options integrity: OK
    
    Attempting to read NinjaFirewall's rules (nfw_rules) from the DB: OK
    Calling fetch_object: OK
    Checking rules integrity: OK
    Exiting.
    Thread Starter rezocom

    (@rezocom)

    NinjaFirewall (WP edition) troubleshooter
    HTTP server 	: 	Apache
    PHP version 	: 	8.0.10
    PHP SAPI 	: 	LITESPEED
     	 	 
    auto_prepend_file 	: 	/home/xxxxxxxxxxxx/xxxxxxxxxxxx/wp-content/nfwlog/ninjafirewall.php
    Loader's path to firewall 	: 	/home/xxxxxxxxxxxx/xxxxxxxxxxxx/wp-content/plugins/ninjafirewall/lib/firewall.php	
    wp-config.php 	: 	found in /home/xxxxxxxxxxxx/xxxxxxxxxxxx/wp-config.php
    NinjaFirewall detection 	: 	NinjaFirewall WP Edition is loaded (Full WAF mode)
     	 	 
    Loaded INI file 	: 	/opt/alt/php80/etc/php.ini
    user_ini.filename 	: 	.user.ini
    user_ini.cache_ttl 	: 	300 seconds
    User PHP INI 	: 	php.ini found - php5.ini found - .user.ini found - Warning: you have more than one INI file	
     	 	 
    DOCUMENT_ROOT 	: 	/home/xxxxxxxxxxxx/xxxxxxxxxxxx
    ABSPATH 	: 	/home/xxxxxxxxxxxx/xxxxxxxxxxxx/
    WordPress version 	: 	5.8.1
    WP_CONTENT_DIR 	: 	/home/xxxxxxxxxxxx/xxxxxxxxxxxx/wp-content
    Plugins directory 	: 	/home/xxxxxxxxxxxx/xxxxxxxxxxxx/wp-content/plugins
    User Role 	: 	Administrator
    User Capabilities 	: 	manage_options: OK - unfiltered_html: OK
    Log dir permissions 	: 	/home/xxxxxxxxxxxx/xxxxxxxxxxxx/wp-content/nfwlog dir is writable
    Cache dir permissions 	: 	/home/xxxxxxxxxxxx/xxxxxxxxxxxx/wp-content/nfwlog/cache dir is writable
    
    NinjaFirewall (WP edition) troubleshooter v1.9.4
    Version: 2.0.2
    Found /home/xxxxxxxxxxxx/xxxxxxxxxxxx/wp-config.php.
    Opening it for reading.
    Looking for DB_NAME, DB_USER, DB_PASSWORD, DB_HOST and $table_prefix:
    Fatal error: Uncaught Error: Undefined constant "MYSQLI_CLIENT_SSL_DONT_VERIFY_SERVER_CERT" in /home/xxxxxxxxxxxx/xxxxxxxxxxxx/wp-db.php:52 Stack trace: #0 {main} thrown in /home/xxxxxxxxxxxx/xxxxxxxxxxxx/wp-db.php on line 52

    “Then check the HTTP code (status code) in the “Network” list. ”

    500 – Internal Server Error

    Plugin Author nintechnet

    (@nintechnet)

    @rezocom : This is it: your Litespeed doesn’t have the MYSQLI_CLIENT_SSL_DONT_VERIFY_SERVER_CERT constant defined. That’s odd, because we tested LS with PHP 7.2 to 8.x and there was no issue.

    What you can do is to edit the /wp-content/plugins/ninjafirewall/lib/firewall.php script and search and replace lines 368-375:

    $available_flags = array(
       'MYSQLI_CLIENT_COMPRESS' => MYSQLI_CLIENT_COMPRESS,
       'MYSQLI_CLIENT_FOUND_ROWS' => MYSQLI_CLIENT_FOUND_ROWS,
       'MYSQLI_CLIENT_IGNORE_SPACE' => MYSQLI_CLIENT_IGNORE_SPACE,
       'MYSQLI_CLIENT_INTERACTIVE' => MYSQLI_CLIENT_INTERACTIVE,
       'MYSQLI_CLIENT_SSL' => MYSQLI_CLIENT_SSL,
       'MYSQLI_CLIENT_SSL_DONT_VERIFY_SERVER_CERT' => MYSQLI_CLIENT_SSL_DONT_VERIFY_SERVER_CERT
    );
    

    With those lines:

    $available_flags = array(
       'MYSQLI_CLIENT_COMPRESS' => 32,
       'MYSQLI_CLIENT_FOUND_ROWS' => 2,
       'MYSQLI_CLIENT_IGNORE_SPACE' => 256,
       'MYSQLI_CLIENT_INTERACTIVE' => 1024,
       'MYSQLI_CLIENT_SSL' => 2048,
       'MYSQLI_CLIENT_SSL_DONT_VERIFY_SERVER_CERT' => 64
    );
    

    The differences are that we replace the 6 constants with their respective values instead.

    Plugin Author nintechnet

    (@nintechnet)

    @peterkrebs : I don’t think the error message is wrong.
    Can you try to downgrade to NinjaFirewall 4.4 and see if you get the same error? That will help to see whether the error is due to the new 4.4.1/4.4.2 or something else:
    Downgrading is very easy to do now with WordPress:
    1. Download v4.4: https://downloads.wordpress.org/plugin/ninjafirewall.4.4.zip
    2. Log in to WordPress, go to “Plugins”, click “Add new” and then “Upload Plugin”. Select the file you downloaded, and submit it. WordPress will warn you that you already have a newer version of NinjaFirewall. Go ahead and confirm the installation.

    Does it work with that older version or do you have the same issue?

    peterkrebs

    (@peterkrebs)

    Okay thanks for the suggestion! I downgraded the PlugIn and it seems you are right.
    Our client probably just didn’t inform us about the error message prior to the update a couple of days ago.

    Still why would the plugin not be able to connect to the database if the site runs perfectly fine?
    Is there something the diagnostic scripts also need to check?

    Our client is informed the error is not a problem for the login protection and would be fine with the error just being there. It is still weird to me that WordPress runs fine but NinjaFirewall claims it cannot access the database somehow.

Viewing 15 replies - 1 through 15 (of 25 total)
  • The topic ‘Broken site since 4.4.1 updates’ is closed to new replies.